SELECT U.CompanyName AS Supplier, 
       ST_Distance(U.SupplierGeo, ST_Centroid(ST_Union(DISTINCT C.CustomerGeo))) AS Distance
  FROM Sales S, 
       Supplier U, 
       Customer C
 WHERE S.SupplierKey = U.SupplierKey
   AND S.CustomerKey = C.CustomerKey 
 GROUP BY U.CompanyName, 
          U.SupplierGeo