SELECT C.CompanyName AS Customer, 
       SUM(S.SalesAmount) AS TotalSales
  FROM Sales S, 
       Customer C, 
       City Y, 
       State A, 
       Country O 
 WHERE S.CustomerKey = C.CustomerKey 
   AND C.CityKey = Y.CityKey 
   AND Y.StateKey = A.StateKey 
   AND A.CountryKey = O.CountryKey 
   AND ST_Contains(A.StateGeo,O.CapitalGeo)
 GROUP BY C.CompanyName