SELECT ST_AsText(ST_Union(DISTINCT A.StateGeo)) AS States
  FROM Sales S, 
       Customer C, 
       City Y, 
       State A, 
       Country O, 
       Time T
 WHERE S.CustomerKey = C.CustomerKey 
   AND C.CityKey = Y.CityKey 
   AND Y.StateKey = A.StateKey 
   AND A.CountryKey = O.CountryKey 
   AND O.CountryName = 'United States' 
   AND S.OrderDateKey = T.TimeKey 
   AND T.Year = '1997'