SELECT C.CompanyName AS Customer, 
       SUM(S.SalesAmount) AS TotalSales
  FROM Sales S, 
       Customer C, 
       Supplier U 
 WHERE S.CustomerKey = C.CustomerKey 
   AND S.SupplierKey = U.SupplierKey 
   AND ST_Distance(C.CustomerGeo,U.SupplierGeo) < 200 
 GROUP BY C.CompanyName