SELECT U.CompanyName AS Supplier, 
       COUNT(DISTINCT C.CustomerKey) AS CustomerCount
  FROM Sales S, 
       Supplier U, 
       Customer C
 WHERE S.SupplierKey = U.SupplierKey 
   AND S.CustomerKey = C.CustomerKey 
   AND ST_Distance(U.SupplierGeo,C.CustomerGeo) > 100 
 GROUP BY U.CompanyName